<?php
namespace ShopyPress\Config;
if ( ! defined( 'ABSPATH' ) ) exit;


class Config {

    private static $instance = null;
    private $config_data = [];

    function __construct() {
        $this->config_data = $this->getData();
    }

    private function getData(): array {
        return [
            'main_settings_page_slug' => 'shopypress-app-settings-page',
        ];
    }

    function getSetting(string $key, string $defaultValue = ''): mixed {
        return $this->config_data[$key] ?? $defaultValue;
    }

    public static function getInstance() {
        if (self::$instance == null) {
            self::$instance = new Config();
        }
        return self::$instance;
    }
}